"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'address',
    getCategories(element) {
        return ['flow content', 'palpable content'];
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isCategory)('heading content|sectioning content', descendant)) {
                result.push({
                    expect: 'with no heading content descendants, no sectioning content descendants',
                    got: (0, util_1.getNodeCategoriesInfo)(descendant),
                    target: descendant
                });
            }
            if ((0, util_1.isTag)('header|footer|address', descendant)) {
                result.push({
                    expect: 'with no header, footer, or address element descendants',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=address.js.map