"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'area',
    getCategories(element) {
        return ['flow content', 'phrasing content'];
    },
    validateContext(element) {
        const result = [];
        if (!(0, util_1.getAncestors)(element).some((0, util_1.isTag)('map|template'))) {
            result.push({
                expect: 'with a map element ancestor or a template element ancestor',
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        if (element.childNodes.length) {
            result.push({ expect: 'empty' });
        }
        return result;
    }
};
//# sourceMappingURL=area.js.map