"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'fieldset',
    getCategories(element) {
        return [
            'flow content',
            'sectioning root',
            'listed and reassociateable form-associated element',
            'palpable content'
        ];
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        children.forEach((child, index) => {
            if (index === 0 && (0, util_1.isTag)('legend', children[0])) {
                return;
            }
            if (!(0, util_1.isCategory)('flow content', child)) {
                result.push({
                    expect: 'optionally a legend element, followed by flow content',
                    got: (0, util_1.getNodeCategoriesInfo)(child),
                    target: child
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=fieldset.js.map