"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'footer',
    getCategories(element) {
        return ['flow content', 'palpable content'];
    },
    validateContext(element) {
        const result = [];
        (0, util_1.getAncestors)(element).forEach(ancestor => {
            if ((0, util_1.isTag)('header|footer', ancestor)) {
                result.push({
                    expect: 'with no footer or header element ancestors',
                    got: (0, util_1.getNodeInfo)(ancestor),
                    target: element
                });
            }
        });
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isTag)('header|footer|main', descendant)) {
                result.push({
                    expect: 'with no header, footer, or main element descendants',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=footer.js.map