"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'html',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        if (element.ownerDocument !== element.parentNode) {
            result.push({
                expect: 'as the root element of a document',
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        result.push(...(0, util_1.validateChildrenSequence)({
            desc: 'a head element followed by a body element',
            filter(node) {
                return node.nodeType === 1;
            },
            sequence: [
                ['head', 1],
                ['body', 1]
            ]
        }, element));
        return result;
    }
};
//# sourceMappingURL=html.js.map