"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'li',
    getCategories(element) {
        return [];
    },
    validateContext(element) {
        const result = [];
        const parent = element.parentElement;
        if (parent
            && (0, util_1.isNotTag)('ol|ul', parent)) {
            result.push({
                expect: 'inside ol or ul elements',
                got: (0, util_1.getNodeInfo)(parent),
                target: element
            });
        }
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('flow content', children));
        return result;
    }
};
//# sourceMappingURL=li.js.map