"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'meter',
    getCategories(element) {
        return ['flow content', 'phrasing content', 'labelable element', 'palpable content'];
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        result.push(...(0, util_1.validateCategory)('phrasing content', children));
        (0, util_1.walkDescendants)(element, descendant => {
            if ((0, util_1.isTag)('meter', descendant)) {
                result.push({
                    expect: 'with no meter element descendants',
                    got: (0, util_1.getNodeInfo)(descendant),
                    target: descendant
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=meter.js.map