"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'object',
    getCategories(element) {
        const categories = [
            'flow content',
            'phrasing content',
            'embedded content',
            'listed, submittable, and reassociateable form-associated element',
            'palpable content'
        ];
        if (element.hasAttribute('usemap')) {
            categories.push('interactive content');
        }
        return categories;
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const contentModelParent = (0, util_1.getContentModelParent)(element);
        const rule = contentModelParent && (0, util_1.getRule)(contentModelParent);
        if (rule) {
            const childNodesWithoutStartingParamElements = (childNodes => {
                const firstNonParamTagIndex = childNodes
                    .findIndex(node => !(0, util_1.isTag)('param', node) && node.nodeType === 1);
                if (firstNonParamTagIndex < 1) {
                    return childNodes;
                }
                return childNodes.slice(firstNonParamTagIndex);
            })([...element.childNodes]);
            result.push(...rule.validateContent((0, util_1.extend)(Object.create(element), {
                childNodes: childNodesWithoutStartingParamElements
            })));
        }
        return result;
    }
};
//# sourceMappingURL=object.js.map