"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("../util");
exports.default = {
    tagName: 'ul',
    getCategories(element) {
        const categories = ['flow content'];
        if (element.children.some((0, util_1.isTag)('li'))) {
            categories.push('palpable content');
        }
        return categories;
    },
    validateContext(element) {
        const result = [];
        return result;
    },
    validateContent(element) {
        const result = [];
        const { children } = element;
        children.forEach(child => {
            if ((0, util_1.isNotTag)('li', child)
                && (0, util_1.isNotCategory)('script-supporting element', child)) {
                result.push({
                    expect: 'li and script-supporting elements',
                    got: (0, util_1.getNodeInfo)(child),
                    target: child
                });
            }
        });
        return result;
    }
};
//# sourceMappingURL=ul.js.map