import type { Node, HTMLElement } from '@mewjs/dom';
import type HTMLNode from '@mewjs/dom';
import type { Rule } from './rules';
export { extend } from 'lodash';
export { Node } from '@mewjs/dom';
export declare enum NodeType {
    ELEMENT_NODE = 1,
    ATTRIBUTE_NODE = 2,
    TEXT_NODE = 3,
    CDATA_SECTION_NODE = 4,
    ENTITY_REFERENCE_NODE = 5,
    ENTITY_NODE = 6,
    PROCESSING_INSTRUCTION_NODE = 7,
    COMMENT_NODE = 8,
    DOCUMENT_NODE = 9,
    DOCUMENT_TYPE_NODE = 10,
    DOCUMENT_FRAGMENT_NODE = 11
}
export interface Attribute {
    name: string;
    value: string;
}
type IsMethod = (...args: any[]) => any;
export declare function not(method: IsMethod): IsMethod;
export declare function walk(root: HTMLElement, handler: (element: HTMLElement) => void, childrenKey?: string): void;
export declare function getRule(element: HTMLElement): Rule | undefined;
export declare function getCategories(element: HTMLElement): string[];
export declare function getNodeInfo(element: Node): string;
export declare function getNodeCategoriesInfo(el: Node): string;
export declare function getSequenceInfo(sequence: Node[]): string;
export declare const isCategory: import("lodash").CurriedFunction2<string, Node, boolean>;
export declare const isNotCategory: IsMethod;
export declare const isTag: import("lodash").CurriedFunction2<string, Node, boolean>;
export declare const isNotTag: IsMethod;
export declare function getAncestors(element: HTMLNode): HTMLNode[];
type Handler = (target: HTMLElement) => void;
export declare function walkDescendants(element: HTMLElement, handler: Handler): void;
export interface Result {
    expect: string;
    got: string;
    target: HTMLElement;
}
export declare function validateCategory(expect: string, elements: Node[] | HTMLElement[]): Result[];
export type Sequence = HTMLNode | [string, string] | [string, number] | [Validator, number];
export interface Expect {
    filter?: (node: HTMLNode) => boolean;
    sequence: Sequence[];
    desc: string;
}
export type Validator = (element: HTMLElement) => boolean;
export declare function validateChildrenSequence(expect: Expect, element: HTMLElement): Result[];
export declare function isTransparentContentModel({ tagName }: HTMLNode): boolean;
export declare function getContentModelParent(element: HTMLElement): HTMLElement | null;
export declare function isType(name: string, given: HTMLNode | undefined): boolean;
export declare const is: import("lodash").CurriedFunction2<string, HTMLNode | undefined, boolean>;
export declare const isNot: IsMethod;
